# The MEME Suite

## Motif-based sequence analysis tools

## create-priors

### Usage:

`create-priors [options] <FASTA file> <wiggle file>`

### Description

The program create-priors takes as input a series of numeric values defined with respect to one or more DNA sequences. The program converts the data into a probabilistic prior using the method described in:

Gabriel Cuellar-Partida, Fabian A. Buske, Robert C. McLeay, Tom Whitington, William Stafford Noble, and Timothy L. Bailey,
"Epigenetic priors for identifying active transcription factor binding sites",
Bioinformatics 28(1): 56-62, 2012 [pdf]

A binned distribution for the priors is also generated. Examples of input data types include sequence tags counts from a DNaseI hypersensitivity or histone modification ChIP-seq assay, or sequence conservation scores.

The prior and the prior distribution files can be used as supplementary input to FIMO and MCAST, improving the quality of their search results.

### Input

#### FASTA file

This file should contain all the sequences that the priors will be computed for.

#### Wiggle File

A file in wiggle format containing the scores that will be converted to priors.

The sequences in the wiggle file should be a subset of the sequences included in the FASTA file. The wiggle file need not contain scores for every position in the FASTA file, but the sequences must be in the same order. Any positions missing from the input wiggle file will be assigned the median prior computed from the observed scores.

### Output

create-priors will create a directory, named `create-priors_out` by default. Any existing output files in the directory will be overwritten. The directory will contain:

- A wiggle file named `priors.wig`. This file will contain the position specific priors computed from the input tag counts.
- A text file named `priors.dist`. This file will contain a probability distribution for the priors (sample file). The first three lines are the minimum, maximum, and median priors. Each succeeding line contains the probability that a prior is in the corresponding bin. The value of the prior is calculated from the bin number using the formula

          prior = ((bin #) / (num bins) * (max prior - min prior)) + (min prior)

The default output directory can be overridden using the --o or --oc options which are described below.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
--alpha | num | The alpha parameter for calculating position specific priors. Alpha represents the fraction of all transcription factor binding sites that are binding sites for the TF of interest. Alpha must be between 0 and 1. | The default value is 1.0.
--beta | num | The beta parameter for calculating position specific priors. Beta represents an estimate of the total number of binding sites for all transcription factors in the input data. Beta must be greater than 0. | The default value is 10000.
--numbins | n | Number of bins to use in prior distribution file. | The default value is 100.

--parse-genomic-coord

When this option is specified each sequence header will be checked for UCSC style genomic coordinates. These are of the form:
>sequence name:starting position-ending position
Where

- sequence name is the name of the sequence,
- starting position is the index of the first base and
- ending position is the index of the final base.

The sequence name may not contain any white space. If genomic coordinates are found they will be used as the coordinates in the output. When no coordinates are found the default behaviour is used.

The first position in the sequence will be assumed to be 1.

--psp |  | Directs `create-priors` to also output the priors in MEME PSP format. The name of the output file will be `create-priors.psp`. This format is only suitable when the number of positions is relatively small. |